Index: sources/src/mouchard_scheduling.cc
===================================================================
--- sources/src/mouchard_scheduling.cc	(revision 27)
+++ sources/src/mouchard_scheduling.cc	(revision 52)
@@ -37,4 +37,5 @@
 #include <iostream>
 #include <fstream>
+
 #include "assert.h"
 #include "process_dependency.h"
@@ -45,4 +46,5 @@
 #include "sc_module.h"
 #include "sc_ver.h"
+
 #ifdef HAVE_CONFIG_H
 #include "config.h"
@@ -54,81 +56,82 @@
 
 typedef set<SignalDependency> signalDependencySet;
-typedef set<const method_process_t*> processSet;
+typedef set<const method_process_t *> processSet;
 
-static
-void
-getSource (signalDependencySet        &ss,
-           const SignalDependencyGraph &sig_g)
-{
-  typedef set<const equi_t *> nonSource_t;
-  nonSource_t nonSource;
-  SignalDependencyGraph::iterator it;
-  for (it = sig_g.begin(); it != sig_g.end(); ++it)
-  {
-    const SignalDependency &sigDep = *it;
-    const equi_t           *dest   = sigDep.destination;
-    nonSource.insert(dest);
-  }
-  for (it = sig_g.begin(); it != sig_g.end(); ++it)
-  {
-    const SignalDependency &sigDep = *it;
-    const equi_t           *src    = sigDep.source;
-    if (nonSource.find(src) == nonSource.end())
-      ss.insert(sigDep);
-  }
+static void getSource(signalDependencySet &ss, const SignalDependencyGraph &sig_g) {
+    typedef set<const equi_t *> nonSource_t;
+    nonSource_t nonSource;
+    SignalDependencyGraph::iterator it;
+    for (it = sig_g.begin(); it != sig_g.end(); ++it) {
+        const SignalDependency &sigDep = *it;
+        const equi_t * dest = sigDep.destination;
+        nonSource.insert(dest);
+    }
+
+    for (it = sig_g.begin(); it != sig_g.end(); ++it) {
+        const SignalDependency &sigDep = *it;
+        const equi_t * src = sigDep.source;
+        if (nonSource.find(src) == nonSource.end()) {
+            ss.insert(sigDep);
+        }
+    }
 }
 
-static
-void
-removeSignals (SignalDependencyGraph &sig_g,
-               signalDependencySet   &ss)
-{
-  SignalDependencyGraph::iterator it = sig_g.begin();
-  while (it != sig_g.end())
-  {
-    const SignalDependency &sigDep = *it;
-    if (ss.find(sigDep) != ss.end())
-    {
-      SignalDependencyGraph::iterator jt = it++;
-      sig_g.erase (jt);
-    } else
-      ++it;
-  }
+
+static void removeSignals(SignalDependencyGraph &sig_g, signalDependencySet &ss) {
+    SignalDependencyGraph::iterator it = sig_g.begin();
+    while (it != sig_g.end()) {
+        const SignalDependency &sigDep = *it;
+        if (ss.find(sigDep) != ss.end()) {
+            SignalDependencyGraph::iterator jt = it++;
+            sig_g.erase(jt);
+        }
+        else {
+            ++it;
+        }
+    }
 }
 
-ProcessDependencyList* 
-MakeMouchardScheduling (const SignalDependencyGraph  & _sig_g)
-{
-  if (dump_stage)
-    cerr << "Making process dependency list...\n";
-	ProcessDependencyList *mod_l = new ProcessDependencyList ();
-	SignalDependencyGraph sig_g = _sig_g;
-	while (!sig_g.empty ())
-	{
-		signalDependencySet ss;
-    getSource (ss, sig_g);
-    removeSignals (sig_g, ss);
-    processSet ps;
-    signalDependencySet::iterator sit;
-    for (sit = ss.begin(); sit != ss.end(); ++sit)
-    {
-		  const SignalDependency &sigdep  = *sit;
-		  const method_process_t *process = sigdep.method;
-      ps.insert(process);
+
+ProcessDependencyList * MakeMouchardScheduling(const SignalDependencyGraph & _sig_g) {
+    if (dump_stage) {
+        cerr << "Making process dependency list...\n";
     }
-    processSet::iterator pit;
-    for (pit = ps.begin(); pit != ps.end(); ++pit)
-    {
-      const method_process_t *process = *pit;
-	    mod_l->push_back(process);
-#if 1
-   		cerr << "Process found : " << *process << "\n";
-#endif
+    ProcessDependencyList * mod_l = new ProcessDependencyList ();
+    SignalDependencyGraph sig_g = _sig_g;
+    while (!sig_g.empty ()) {
+        signalDependencySet ss;
+        getSource(ss, sig_g);
+        removeSignals(sig_g, ss);
+        processSet ps;
+        signalDependencySet::iterator sit;
+        for (sit = ss.begin(); sit != ss.end(); ++sit) {
+            const SignalDependency & sigdep  = *sit;
+            const method_process_t * process = sigdep.method;
+            ps.insert(process);
+        }
+        processSet::iterator pit;
+        for (pit = ps.begin(); pit != ps.end(); ++pit) {
+            const method_process_t * process = *pit;
+            mod_l->push_back(process);
+            if (dump_stage) {
+                cerr << "Process found : " << *process << "\n";
+            }
+        }
     }
-  }
-    
-	return mod_l;
+
+    return mod_l;
 }
 
 } // end of sc_core namespace
 
+/*
+# Local Variables:
+# tab-width: 4;
+# c-basic-offset: 4;
+# c-file-offsets:((innamespace . 0)(inline-open . 0));
+# indent-tabs-mode: nil;
+# End:
+#
+# vim: filetype=cpp:expandtab:shiftwidth=4:tabstop=4:softtabstop=4
+*/
+
